Ako na kompatibilitu rozšírenia (na vlastné riziko)

Fórum o doplnkoch do produktov Mozilla a ostatných podporovaných programoch
SlovakSoft
Správca portálu Mozilla.sk
Správca portálu Mozilla.sk
Príspevky: 4478
Dátum registrácie: 24. Novembra 2005, 22:55

Ako na kompatibilitu rozšírenia (na vlastné riziko)

Príspevok od užívateľa SlovakSoft » 26. Októbra 2006, 15:18

UPOZORNENIE
Uvedené postupy vykonávate na vlastné riziko a obchádzate nimi bezpečnostnú funkciu programu.

Ak z nejakého dôvodu potrebujete potlačiť kontrolu kompatibility rozšírení (napríklad po aktualizácii programu), môžete použiť niektorý z nasledujúcich spôsobov. Nikto však nevie zaručiť, či práve vo vašej konfigurácii bude rozšírenie funkčné a nespôsobí žiadne škody. Preto si uvedomte, že uvedené vykonávate na vlastné riziko. Ide o 5 rôznych spôsobov, stačí použiť jeden z nich.

Témy
Nepoužívajte tieto postupy na témy. Je takmer isté, že sa potom v používateľskom prostredí programu vyskytnú chyby. Používajte výhradne kompatibilné témy!

1. Rozšírením MR Tech’s Local Install

Nainštalujte si toto rozšírenie. Jednou z jeho funkcií je možnosť zakázať kontrolu kompatibility rozšírenia pri jeho inštalácii. Objaví sa v dialógovom okne, keď inštalujete nejaké rozšírenie (viď obrázok dole). Pri už nainštalovaných rozšíreniach sa v Správcovi rozšírení objaví ponuka Nástroje > Kompatibilita všetkých.

2. Rozšírením Nightly Tester Tools

Nainštalujte si toto rozšírenie. Po jeho nainštalovaní sa v Správcovi rozšírení objaví tlačidlo Urobiť všetky kompatibilnými. Rovnako ako pri prvom rozšírení, aj tu sa v dialógovom okne inštalácie rozšírení objaví možnosť nekontrolovať jeho kompatibilitu.

3. Manuálna úprava inštalačného balíka XPI

Premenujte príponu inštalačného balíka rozšírenia XPI na ZIP. Z tohto archívu vytiahnite súbor install.rdf. Otvorte ho nejakým textovým editorom. Nájdite riadok <em:maxVersion>1.5</em:maxVersion> a zmeňte verziu na <em:maxVersion>2.0.0.*</em:maxVersion>. Súbor uložte (zachovať kódovanie UTF-8!) a vložte naspäť do archívu ZIP (prepíšte ním ten pôvodný). Premenujte príponu na XPI a nainštalujte takto upravené rozšírenie.

4. Úprava v konfigurácii

Zadajte do panela s adresou about:config a potvrďte klávesom Enter. Otvorí sa stránka konfigurácie. Kliknite pravým tlačidlom do okna a vyberte položku Nový > Reťazec. Zadajte jeho názov app.extensions.version a jeho hodnotu napríklad 1.5 (bude sa kontrolovať, či je rozšírenie kompatibilné s verziou 1.5).

5. Úprava v konfigurácii

Zadajte do panela s adresou about:config a potvrďte klávesom Enter. Otvorí sa stránka konfigurácie. Kliknite pravým tlačidlom do okna a vyberte položku Nový > Logická. Zadajte názov extensions.checkCompatibility a hodnotu nastavte na false. Kontrola kompatibility bude potlačená a Správca doplnkov na to bude upozorňovať.
Naposledy upravil/-a SlovakSoft v 25. Októbra 2007, 11:17, upravené celkom 10 krát.
admin SME.sk

Užívateľov profilový obrázok
Luboš
pokročilý diskutujúci
pokročilý diskutujúci
Príspevky: 260
Dátum registrácie: 29. Novembra 2005, 17:22
Bydlisko: Trenčín

Príspevok od užívateľa Luboš » 26. Októbra 2006, 16:26

(zachovať kódovanie UTF-8!)

čiže poznámkový blok otvorenie, úprava a uloženie. ok ?

SlovakSoft
Správca portálu Mozilla.sk
Správca portálu Mozilla.sk
Príspevky: 4478
Dátum registrácie: 24. Novembra 2005, 22:55

Príspevok od užívateľa SlovakSoft » 26. Októbra 2006, 17:14

Áno, Uložiť a OK. Treba sa pozerať – ak sa dá Uložiť ako..., v dialógovom okne uloženia je dole položka Kódovanie.
admin SME.sk

Užívateľov profilový obrázok
Luboš
pokročilý diskutujúci
pokročilý diskutujúci
Príspevky: 260
Dátum registrácie: 29. Novembra 2005, 17:22
Bydlisko: Trenčín

Príspevok od užívateľa Luboš » 26. Októbra 2006, 17:34

Jasné, to som potreboval, kódovanie ja tam, už to funguje :)

SlovakSoft
Správca portálu Mozilla.sk
Správca portálu Mozilla.sk
Príspevky: 4478
Dátum registrácie: 24. Novembra 2005, 22:55

Príspevok od užívateľa SlovakSoft » 26. Októbra 2006, 19:24

Doplnené o piaty spôsob, vďaka tipu Pavla Cvrčka.
admin SME.sk

tt

Príspevok od užívateľa tt » 1. Novembra 2006, 18:56

SlovakSoft napísal: Nepoužívajte tieto postupy na témy. Je takmer isté, že sa potom v používateľskom prostredí Firefoxu vyskytnú chyby. Používajte len témy kompatibilné s Firefoxom 2.0.
Su s tym konkretne negativne skusenosti?
ja neviem zit bez mojho ABSTRACT PC https://addons.mozilla.org/firefox/525/
:(
3. Manuálna úprava inštalačného balíka XPI
Premenujte príponu inštalačného balíka rozšírenia XPI na ZIP. Z tohto archívu vytiahnite súbor install.rdf. Otvorte ho nejakým textovým editorom. Nájdite riadok <em>1.5</em> a zmeňte verziu na <em>2.0.0.*</em>. Súbor uložte (zachovať kódovanie UTF-8!) a vložte naspäť do archívu ZIP (prepíšte ním ten pôvodný). Premenujte príponu na XPI a nainštalujte takto upravené rozšírenie.
A tu je problem, hoci v minulosti som to bezne pouzival.
Ako sa instaluje manualne vo FF 2.0 ? :idea:
Otvorit subor mi nepomaha.
...

AHA UZ SOM TO ROZBEHOL, MUSEL SOM ZMENIT JAR NA XPI
Zatial nepozorujem ziadne chyby

Pouzit tento postup na instalaciu nekompatibilnej temy do FF 2.0 len na vlastne riziko!!!

Neregistrovaný

Príspevok od užívateľa Neregistrovaný » 1. Novembra 2006, 19:13

a tak teda mam jeden problem s mojim ABSTRACT PC, resp. s jeho natvrdo upravenou "verziou":
na kartach nie su X tabs (mne to vyhovovalo a mal na 1.5.7 som mal nainstlalovane rozsirenie)

nevadi ABSTRACT PC stoji za tuto komplikaciu (prava mys -zavriet kartu)

SlovakSoft
Správca portálu Mozilla.sk
Správca portálu Mozilla.sk
Príspevky: 4478
Dátum registrácie: 24. Novembra 2005, 22:55

Príspevok od užívateľa SlovakSoft » 1. Novembra 2006, 19:20

Inštalácia témy z lokálneho disku:
1. Pretiahnuť archív .JAR z disku do otvoreného okna správcu tém.
2. Do panela s adresou zadať about:config a Enter, vyhľadať reťazec extensions.hideInstallButton a zmeniť jeho hodnotu na false. Odteraz bude v správcovi tém viditeľné tlačidlo Nainštalovať.
3. Premenovať príponu na z .JAR na .XPI a vo Firefoxe ponuka Súbor > Otvoriť.
4. Webová stránka Install a Mozilla or Firefox theme from a local file

Tlačidlá X:
Do panela s adresou zadajte about:config, potvďte Enter, na stránke konfigurácie vyhľadajte reťazec browser.tabs.closeButtons a upravte jeho hodnotu:
0 – tlačidlo je na aktívnej karte
1 – tlačidlo je na všetkých kartách
2 – tlačidlo nie je nikde
3 – tlačidlo je napravo ako v starej verzii
admin SME.sk

SlovakSoft
Správca portálu Mozilla.sk
Správca portálu Mozilla.sk
Príspevky: 4478
Dátum registrácie: 24. Novembra 2005, 22:55

Príspevok od užívateľa SlovakSoft » 1. Novembra 2006, 19:21

Anonymous napísal:prava mys -zavriet kartu
Ešte tu je stredné tlačidlo myši (koliesko). Ja tlačidlá X nechcem, som zvyknutý na stredné.
admin SME.sk

Užívateľov profilový obrázok
Luboš
pokročilý diskutujúci
pokročilý diskutujúci
Príspevky: 260
Dátum registrácie: 29. Novembra 2005, 17:22
Bydlisko: Trenčín

Príspevok od užívateľa Luboš » 1. Novembra 2006, 19:41

aj ja som používal stredné myšítko, najskôr mi vadili krížiky, ale vcelku rýchlo som si na ne zvykol. Len treba dať pozor na omylom zavretie karty.

SlovakSoft
Správca portálu Mozilla.sk
Správca portálu Mozilla.sk
Príspevky: 4478
Dátum registrácie: 24. Novembra 2005, 22:55

Príspevok od užívateľa SlovakSoft » 1. Novembra 2006, 20:04

V kontextovej ponuke na paneli s kartami už je funkcia Späť – Zavrieť kartu. Otvorí omylom zatvorenú kartu.
admin SME.sk

Užívateľov profilový obrázok
Luboš
pokročilý diskutujúci
pokročilý diskutujúci
Príspevky: 260
Dátum registrácie: 29. Novembra 2005, 17:22
Bydlisko: Trenčín

Príspevok od užívateľa Luboš » 1. Novembra 2006, 20:31

Díky, toto mi nejako ušlo :?

Neregistrovaný

Príspevok od užívateľa Neregistrovaný » 2. Novembra 2006, 09:43

SlovakSoft napísal: Tlačidlá X:
Do panela s adresou zadajte about:config, potvďte Enter, na stránke konfigurácie vyhľadajte reťazec browser.tabs.closeButtons a upravte jeho hodnotu:
0 – tlačidlo je na aktívnej karte
1 – tlačidlo je na všetkých kartách
2 – tlačidlo nie je nikde
3 – tlačidlo je napravo ako v starej verzii
ano,
myslel som ze toto potrebovat nebudem lebo mi X na kazdej karte vyhovuje,
ale to, ze na kartach nemam X je pravdepodobne chyba nekompatibilnej temy Abstract PC (motivu vzhladu), pretoze originalny vzhlad X na kartach mal a mam nastavene "1"

nevadi, mozno si zvyknem ...

limbo
začiatočník
začiatočník
Príspevky: 1
Dátum registrácie: 14. Septembra 2009, 18:19

Re: Ako na kompatibilitu rozšírenia (na vlastné riziko)

Príspevok od užívateľa limbo » 14. Septembra 2009, 18:57

Neviete niekto ci je mozne prisposobit SpiderZillu pre Firefox 3.5 ? Ja som nasiel navod ako ju prisposobit na Firefox 3+ ale funguje len s 3kovym Firefoxom aj pokial kompatibilitu "nastavime" az do verzie 4. Pripajam navod v anglictine ako sa to robi. Mne funguje SpiderZilla urcena pre 2.0 s 3-jkovym firefoxom no pravdepodobne odlisne jadro 3.5-ky nedovoluje pracovat aj s nim.

1) Download add-on and rename from .xpi to .zip
2) Unzip to a folder (I called my folder spiderzilla)
3) Find file install.rdf
4) Change extension .rdf to .txt Open Install.txt
5) Find both em:maxVersion= , set equal to 3.0.3.* (one is near the beginning of the code and one near the end) 3.0.3.* will make the add on work for version Firefox 3.0.3 and below. I suppose that you can set it to 4.* to make it work for Firefiox 4 when it comes out.
6) Save file and close
7) Rename Install.txt to Install.rdf
8) Rezip everything in the folder back to a .zip file
9) Change extension from .zip to .xpi
10) Double click/ open on file, if asked, open file with Firefox.

MJF
začiatočník
začiatočník
Príspevky: 4
Dátum registrácie: 1. Februára 2011, 16:01

Re: Ako na kompatibilitu rozšírenia (na vlastné riziko)

Príspevok od užívateľa MJF » 22. Marca 2011, 18:36

a pojde no aj na temy?

Napísať odpoveď